import { createSelector } from "reselect";

const selectUser = (state) => state.user;

export const selectCurrentUser = createSelector([selectUser], (user) => user.currentUser);

export const selectSignInError = createSelector([selectUser], (user) => user.error);

export const selectPasswordReset = createSelector([selectUser], (user) => user.passwordreset);

export const selectBodyshop = createSelector([selectUser], (user) => user.bodyshop);

export const selectLoginLoading = createSelector([selectUser], (user) => user.loginLoading);
export const selectNotifications = createSelector([selectUser], (user) => user.notifications);
export const selectDarkMode = createSelector([selectUser], (user) => user.darkMode);
